aboutsummaryrefslogtreecommitdiff
path: root/sbopkglint.d/20-arch.t.sh
diff options
context:
space:
mode:
authorB. Watson <yalhcru@gmail.com>2022-04-10 13:35:56 -0400
committerB. Watson <yalhcru@gmail.com>2022-04-10 13:35:56 -0400
commit9d489f9f9d26de46b4a932219d2171ca696c8993 (patch)
treee5d05cc08c3550eda4cbfdaf2406afb0a678c15b /sbopkglint.d/20-arch.t.sh
parent835f7cdaf808ed39bad7b08732266b718874c6e1 (diff)
downloadsbo-maintainer-tools-9d489f9f9d26de46b4a932219d2171ca696c8993.tar.gz
support compiled guile objects, check for +x in /usr/include
Diffstat (limited to 'sbopkglint.d/20-arch.t.sh')
-rw-r--r--sbopkglint.d/20-arch.t.sh14
1 files changed, 11 insertions, 3 deletions
diff --git a/sbopkglint.d/20-arch.t.sh b/sbopkglint.d/20-arch.t.sh
index 81a91a4..a6b9265 100644
--- a/sbopkglint.d/20-arch.t.sh
+++ b/sbopkglint.d/20-arch.t.sh
@@ -54,11 +54,19 @@ if [ -n "$WRONGDIR" ]; then
grep -q DL_RO_DYN_TEMP_CNT "$file" && continue
fi
- if ! echo "$filetype" | grep -q "$CPU"; then
+ # "no machine" ELF objects are allowed, but since they still come
+ # in 64-bit and 32-bit varieties, they must be in the correct
+ # directory.
+ if ! echo "$filetype" | grep -q -e "$CPU" -e 'no machine'; then
WRONGARCH+="$file "
fi
- if echo "$filetype" | grep -q "not stripped"; then
- NOTSTRIPPED+="$file "
+
+ # don't check "no machine" ELF objects for being stripped.
+ # our strip command doesn't know how to strip them!
+ if ! echo "$filetype" | grep -q 'no machine'; then
+ if echo "$filetype" | grep -q "not stripped"; then
+ NOTSTRIPPED+="$file "
+ fi
fi
done < .tmp.$$
rm -f .tmp.$$